summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2018-02-10 22:22:31 +1100
committerMichael Palimaka <kensington@gentoo.org>2018-02-10 22:22:59 +1100
commitd3dd5c8a97c03ae4e9e8244f1515d5e034a09233 (patch)
tree54547371c1bcd638db8e93599d95f0846a1faf9e
parentnet-firewall/ipt_netflow: Fix kernel 4.15 compatibility (bug #646798). (diff)
downloadgentoo-d3dd5c8a97c03ae4e9e8244f1515d5e034a09233.tar.gz
gentoo-d3dd5c8a97c03ae4e9e8244f1515d5e034a09233.tar.bz2
gentoo-d3dd5c8a97c03ae4e9e8244f1515d5e034a09233.zip
media-gfx/mandelbulber: version bump 2.12
Package-Manager: Portage-2.3.19, Repoman-2.3.6
-rw-r--r--media-gfx/mandelbulber/Manifest1
-rw-r--r--media-gfx/mandelbulber/mandelbulber-2.12.ebuild71
-rw-r--r--media-gfx/mandelbulber/metadata.xml3
3 files changed, 75 insertions, 0 deletions
diff --git a/media-gfx/mandelbulber/Manifest b/media-gfx/mandelbulber/Manifest
index bbd387ba6e9..c9e2536bcb0 100644
--- a/media-gfx/mandelbulber/Manifest
+++ b/media-gfx/mandelbulber/Manifest
@@ -1 +1,2 @@
DIST mandelbulber1.21-1.orig.tar.gz 1076836 BLAKE2B 6cb17351d8070abb092faa48a2254c76af40cd95942e8ecb46f3fd651423b5e8be8555906c946fb5b28024f23015680abce2f92adc33a742fadea8c0e10c6fac SHA512 caaa27a4aa67e83045e9cfc84593770d26d0b12d44e6f37f1f37e04eb62f7d2038c07d82541eca2ef8c64c787bae2fac9c487f69c98936310946f27c07760ce3
+DIST mandelbulber2-2.12-1.tar.gz 47092910 BLAKE2B 1e5ca64a4819052882bc7cdc047c6d755046f2ceebcf7b26db41511fde219aa523a3c6884f0667aed1365104c4502a6e6b1b2d7d40a4a024fdb5051d5ac13cd2 SHA512 5dc8dcaa45bc8747024ed16379cc4d622535099c925abf3c2aa01c0338fe8c1f272e6113b6bf28da6a4bb087e6d6e6a4c6634feca993d2c89f12b79582ff271c
diff --git a/media-gfx/mandelbulber/mandelbulber-2.12.ebuild b/media-gfx/mandelbulber/mandelbulber-2.12.ebuild
new file mode 100644
index 00000000000..7e1c40cc3a6
--- /dev/null
+++ b/media-gfx/mandelbulber/mandelbulber-2.12.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_P="${PN}2-${PV}-1"
+inherit qmake-utils
+
+DESCRIPTION="Tool to render 3D fractals"
+HOMEPAGE="http://www.mandelbulber.com"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="CC-BY-4.0 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="opencl openexr sndfile tiff"
+
+RDEPEND="
+ dev-libs/lzo
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtnetwork:5
+ dev-qt/qttest:5
+ dev-qt/qtwidgets:5
+ media-libs/libpng:0=
+ sci-libs/gsl:=
+ opencl? ( virtual/opencl )
+ openexr? (
+ media-libs/ilmbase:=
+ media-libs/openexr:=
+ )
+ sndfile? ( media-libs/libsndfile )
+ tiff? ( media-libs/tiff:0 )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ default
+
+ # not packaged yet, but may be in the future
+ sed -i -e "s/qtHaveModule(gamepad)/false/" makefiles/common.pri || die
+
+ use openexr || sed -i -e "s/packagesExist(IlmBase)/false/" makefiles/common.pri || die
+ use sndfile || sed -i -e "s/packagesExist(sndfile)/false/" makefiles/common.pri || die
+ use tiff || sed -i -e "s/packagesExist(libtiff-4)/false/" makefiles/common.pri || die
+}
+
+src_configure() {
+ if use opencl; then
+ eqmake5 makefiles/${PN}-opencl.pro
+ else
+ eqmake5 makefiles/${PN}.pro
+ fi
+}
+
+src_install() {
+ dobin ${PN}2
+
+ dodoc README NEWS usr/share/doc/${PN}2/Mandelbulber_Manual.pdf
+
+ insinto /usr/share/${PN}2
+ doins -r usr/share/${PN}2/*
+
+ insinto /usr/share/applications
+ doins ${PN}2.desktop
+}
diff --git a/media-gfx/mandelbulber/metadata.xml b/media-gfx/mandelbulber/metadata.xml
index b170ece12c0..2942a4cc4a6 100644
--- a/media-gfx/mandelbulber/metadata.xml
+++ b/media-gfx/mandelbulber/metadata.xml
@@ -11,6 +11,9 @@
and some other kind of 3D fractals like Mandelbox, Bulbbox, Juliabulb,
Menger Sponge.
</longdescription>
+ <use>
+ <flag name="opencl">Enable GPU rendering support using OpenCL</flag>
+ </use>
<upstream>
<remote-id type="sourceforge">mandelbulber</remote-id>
</upstream>